> ## Documentation Index
> Fetch the complete documentation index at: https://whitelabelled-staking-docs.adamik.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account State (Balances)

> Returns the state of a specified account identifier (address or xpub) and chain ID, focusing on balance information. The response includes details on native asset balances, token balances, and staking balances. This endpoint supports optional filters to refine the results, making it essential for wallet applications to display accurate and tailored account information.



## OpenAPI

````yaml openapi.json get /api/{chainId}/account/{accountId}/state
openapi: 3.1.0
info:
  title: Adamik
  version: 0.1.0
  description: Adamik API reference
servers:
  - url: https://api.adamik.io
security:
  - ApiKeyAuth: []
paths:
  /api/{chainId}/account/{accountId}/state:
    get:
      tags:
        - Account
      summary: Get Account State (Balances)
      description: >-
        Returns the state of a specified account identifier (address or xpub)
        and chain ID, focusing on balance information. The response includes
        details on native asset balances, token balances, and staking balances.
        This endpoint supports optional filters to refine the results, making it
        essential for wallet applications to display accurate and tailored
        account information.
      parameters:
        - in: path
          name: chainId
          schema:
            type: string
            enum:
              - algorand
              - cosmoshub
              - cosmoshub-testnet
              - osmosis
              - osmosis-testnet
              - celestia
              - celestia-testnet
              - dydx
              - axelar
              - ethereum
              - sepolia
              - holesky
              - zksync
              - zksync-sepolia
              - injective-evm-testnet
              - base
              - base-sepolia
              - optimism
              - optimism-sepolia
              - arbitrum
              - arbitrum-sepolia
              - bitcoin
              - bitcoin-testnet
              - bitcoin-signet
              - polygon
              - polygon-amoy
              - bsc
              - bsc-testnet
              - linea
              - linea-sepolia
              - avalanche
              - avalanche-fuji
              - gnosis
              - gnosis-chiado
              - moonbeam
              - moonriver
              - moonbase
              - fantom
              - mantle
              - rootstock
              - rootstock-testnet
              - litecoin
              - dogecoin
              - ton
              - chiliz
              - chiliz-testnet
              - injective
              - akash
              - band
              - dymension
              - kyve
              - neutron
              - terra2
              - stargaze
              - tron
              - evmos
              - irisnet
              - juno
              - lum-network
              - omniflix
              - sei
              - medibloc
              - passage
              - quasar
              - seda
              - sommelier
              - shentu
              - stride
              - chihuahua
              - bitsong
              - persistence
              - comdex
              - fetch-ai
              - humans-ai
              - ki
              - likecoin
              - mars-hub
              - provenance
              - quicksilver
              - saga
              - ux-chain
              - kava
              - starknet
              - babylon
              - babylon-testnet
              - monad-testnet
              - berachain
              - berachain-artio
              - cronos
              - world-chain
          required: true
        - in: path
          name: accountId
          description: Account identifier (address, xpub, etc) for the specified chain ID
          schema:
            type: string
            description: Account identifier (address, xpub, etc) for the specified chain ID
          required: true
        - in: query
          name: include
          description: >-
            Optional filter to request specific data. Use a single 'include'
            parameter with comma-separated values.
          schema:
            type: string
            description: >-
              Optional filter to request specific data. Use a single 'include'
              parameter with comma-separated values.
            example: native,tokens,staking
        - in: query
          name: pubkey
          description: >-
            Optional public key (in hex format) associated with the accountId.
            Required for Bitcoin's Babylon Staking data.
          schema:
            type: string
            description: >-
              Optional public key (in hex format) associated with the accountId.
              Required for Bitcoin's Babylon Staking data.
      responses:
        '200':
          description: >-
            Returns the current balance information for the specified address
            and chain ID.
          content:
            application/json:
              schema:
                type: object
                properties:
                  chainId:
                    type: string
                    enum:
                      - algorand
                      - cosmoshub
                      - cosmoshub-testnet
                      - osmosis
                      - osmosis-testnet
                      - celestia
                      - celestia-testnet
                      - dydx
                      - axelar
                      - ethereum
                      - sepolia
                      - holesky
                      - zksync
                      - zksync-sepolia
                      - injective-evm-testnet
                      - base
                      - base-sepolia
                      - optimism
                      - optimism-sepolia
                      - arbitrum
                      - arbitrum-sepolia
                      - bitcoin
                      - bitcoin-testnet
                      - bitcoin-signet
                      - polygon
                      - polygon-amoy
                      - bsc
                      - bsc-testnet
                      - linea
                      - linea-sepolia
                      - avalanche
                      - avalanche-fuji
                      - gnosis
                      - gnosis-chiado
                      - moonbeam
                      - moonriver
                      - moonbase
                      - fantom
                      - mantle
                      - rootstock
                      - rootstock-testnet
                      - litecoin
                      - dogecoin
                      - ton
                      - chiliz
                      - chiliz-testnet
                      - injective
                      - akash
                      - band
                      - dymension
                      - kyve
                      - neutron
                      - terra2
                      - stargaze
                      - tron
                      - evmos
                      - irisnet
                      - juno
                      - lum-network
                      - omniflix
                      - sei
                      - medibloc
                      - passage
                      - quasar
                      - seda
                      - sommelier
                      - shentu
                      - stride
                      - chihuahua
                      - bitsong
                      - persistence
                      - comdex
                      - fetch-ai
                      - humans-ai
                      - ki
                      - likecoin
                      - mars-hub
                      - provenance
                      - quicksilver
                      - saga
                      - ux-chain
                      - kava
                      - starknet
                      - babylon
                      - babylon-testnet
                      - monad-testnet
                      - berachain
                      - berachain-artio
                      - cronos
                      - world-chain
                  accountId:
                    type: string
                  balances:
                    type: object
                    properties:
                      native:
                        type: object
                        properties:
                          available:
                            type: string
                            description: >-
                              Amount of native currency that is immediately
                              available for using. This excludes amounts that
                              are locked in staking positions.
                          unconfirmed:
                            type: string
                            description: >-
                              Amount of native currency that is either pending
                              (mempool) or not yet fully confirmed (not enough
                              block confirmations). Relevant for chains with
                              long confirmation times (like Bitcoin).
                          total:
                            type: string
                            description: >-
                              Total amount of native currency owned by the
                              account, including both available and locked
                              amounts (staking positions).
                        required:
                          - available
                          - total
                      tokens:
                        type: array
                        items:
                          type: object
                          properties:
                            token:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - TRC10
                                    - TRC20
                                    - ASA
                                    - ERC20
                                    - IBC
                                    - JETTON
                                id:
                                  type: string
                                name:
                                  type: string
                                ticker:
                                  type: string
                                decimals:
                                  type: string
                                contractAddress:
                                  type: string
                              required:
                                - type
                                - id
                                - name
                                - ticker
                                - decimals
                            amount:
                              type: string
                              description: >-
                                Current balance of this token owned by the
                                account. The amount is expressed in the token's
                                smallest unit (based on its decimals).
                          required:
                            - token
                            - amount
                      staking:
                        type: object
                        properties:
                          total:
                            type: string
                            description: >-
                              Total amount of native currency involved in
                              staking positions (locked + unlocking + unlocked).
                          locked:
                            type: string
                            description: >-
                              Amount of native currency currently locked in
                              staking positions.
                          unlocking:
                            type: string
                            description: >-
                              Amount of native currency that is in the process
                              of being unstaked (during unbonding period).
                          unlocked:
                            type: string
                            description: >-
                              Amount of native currency that has completed the
                              unbonding period and is ready to be withdrawn.
                          positions:
                            type: array
                            items:
                              type: object
                              properties:
                                stakeId:
                                  type: string
                                  description: Unique identifier for the staking position.
                                validatorAddresses:
                                  type: array
                                  items:
                                    type: string
                                  description: >-
                                    List of validator addresses involved in
                                    staking position.
                                amount:
                                  type: string
                                  description: >-
                                    Amount of native currency used in this
                                    specific staking position.
                                status:
                                  type: string
                                  enum:
                                    - free
                                    - pending
                                    - locked
                                    - unlocking
                                    - unlocked
                                completionDate:
                                  type: string
                                  description: >-
                                    Unix timestamp (in milliseconds) when the
                                    current position status will expire, when
                                    relevant.
                              required:
                                - validatorAddresses
                                - amount
                                - status
                            description: Detailed list of individual staking positions.
                          rewards:
                            type: object
                            properties:
                              native:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    validatorAddress:
                                      type: string
                                    amount:
                                      type: string
                                      description: >-
                                        Amount of unclaimed staking rewards in
                                        native currency from this validator.
                                  required:
                                    - validatorAddress
                                    - amount
                                description: >-
                                  List of unclaimed staking rewards in native
                                  currency, per validator.
                              tokens:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    token:
                                      type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - TRC10
                                            - TRC20
                                            - ASA
                                            - ERC20
                                            - IBC
                                            - JETTON
                                        id:
                                          type: string
                                        name:
                                          type: string
                                        ticker:
                                          type: string
                                        decimals:
                                          type: string
                                        contractAddress:
                                          type: string
                                      required:
                                        - type
                                        - id
                                        - name
                                        - ticker
                                        - decimals
                                    validatorAddress:
                                      type: string
                                    amount:
                                      type: string
                                      description: >-
                                        Amount of unclaimed staking rewards in
                                        this token. The amount is expressed in
                                        the token's smallest unit.
                                  required:
                                    - token
                                    - amount
                            required:
                              - native
                              - tokens
                            description: >-
                              Information about unclaimed staking rewards, both
                              in native currency and tokens.
                        required:
                          - total
                          - locked
                          - unlocking
                          - unlocked
                          - positions
                required:
                  - chainId
                  - accountId
                  - balances
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````